Inconsistent package status on planet2001
Closed, ResolvedPublic


During deploying the bind update I noticed that planet2001 has quite a few packages installed from backports which should use plain jessie versions instead (e.g. tar, exim).
Some components are even in disparate versions with the same source package (e.g. some systemd binary packages are using the bpo version and some are in plain jessie). I think the box should be reimaged entirely.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2017, 10:53 AM

It seems to only consider backports ATM, when I run "apt-cache show munin" (as an example of a package which is present in backports), I only get the version from backports, not the jessie one.

Dzahn added a comment.Mar 2 2017, 4:49 PM

I have never intended to use backports on planet2001 nor any idea why it would be different from others. It is supposed to be like planet1001 and uses identical roles.

Dzahn added a comment.Mar 2 2017, 4:51 PM

I can just reinstall this machine easily, but that doesn't mean i know why it had this state.

Dzahn added a comment.Mar 2 2017, 4:54 PM

rm /etc/apt/sources.list.d/debian-backports.list
vi /etc/apt/sources/wikimedia.list
apt-get upgrade.. upgraded apache

Dzahn claimed this task.Mar 2 2017, 4:56 PM

Mentioned in SAL (#wikimedia-operations) [2017-03-03T04:39:13Z] <mutante> planet2001 last log message was for T159432

Dzahn added a comment.Mar 3 2017, 4:39 AM

20:41 < mutante> !log planet2001 - reinstall, boot into installer, scheduled downtime

Dzahn added a comment.Mar 3 2017, 5:16 AM

instance reinstalled but can't reach puppetmaster, gotta debug what's going on. currently gone from icinga and reachable with install-console after fresh install but no initial puppet run.

Dzahn triaged this task as Normal priority.Mar 3 2017, 5:17 AM

Mentioned in SAL (#wikimedia-operations) [2017-03-04T03:00:45Z] <mutante> planet2001 - reinstalling once more (T159432)

Dzahn added a comment.Mar 4 2017, 3:16 AM

repeated the install today, could not reproduce the problem of yesterday. this time it just worked. re-signed puppet cert and salt keys.

reinstalled. no backports are activated. sources.list looks like

# deb jessie main

deb jessie main non-free contrib
deb-src jessie main non-free contrib

## Wikimedia APT repository
#deb jessie-wikimedia main backports thirdparty
#deb-src jessie-wikimedia main backports thirdparty

deb jessie/updates main contrib non-free
deb-src jessie/updates main contrib non-free

# jessie-updates, previously known as 'volatile'
deb jessie-updates main contrib non-free
deb-src jessie-updates main contrib non-free
Dzahn closed this task as Resolved.Mar 4 2017, 3:16 AM
Dzahn added a comment.Mar 4 2017, 3:20 AM

well, there is /etc/apt/sources.list.d/debian-backports.list with

deb jessie-backports main contrib non-free
deb-src jessie-backports main contrib non-free

but that's just like on others.